Name:           python3-CPyCppyy
Version:        1.12.4
Release:        2%{?dist}
Summary:        Cling-based Python-C++ bindings for CPython
License:        LBNLBSD
URL:            https://pypi.org/project/CPyCppyy/
Source0:        CPyCppyy-%{version}.tar.gz
BuildRequires:  python3-devel python3-cppyy-backend python3-wheel gcc-c++ python3-setuptools

%description
Cling-based Python-C++ bindings for CPython

%prep
%autosetup -n CPyCppyy-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python3_sitearch}/*
%{_includedir}/python*/CPyCppyy

%changelog
* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> - 1.12.4-2
- f35 requires python3-setuptools

* Tue Mar 23 2021 Bruno Postle <bruno@postle.net> - 1.12.4-1
- upstream release

* Fri Mar 19 2021 Bruno Postle <bruno@postle.net> - 1.12.3-1
- upstream release

* Fri Jan 08 2021 Bruno Postle <bruno@postle.net> - 1.12.1-1
- initial package
